<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
 	<script type="text/javascript" src="../js/jquery.form.js"></script>
	<style>
		* { font-size:13px}
		.form-line .text-content{
			width:120px;
		}
		body { margin:0}
		.line { position:relative; float:left; padding: 8px 0px 8px 50px;   border-left: 0 !important;}
		.line span { float:left}
		input { border:1px solid #888; vertical-align:middle}
		.file { position:absolute; left:90px; top:8px; display:none;filter:alpha(opacity=0);opacity:0}
		.file1 { padding:6px 13px; display:block; float:left; background:#67c23a; color:#fff; z-index:1; margin-left:5px; vertical-align:middle; cursor: pointer}
		.inputstyle {     width: 180px;height: 26px;border:1px solid #888; z-index:99}
		.fail{padding:0 5px;}
		.datagrid-body{
			height:85px !important;
		}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="xh" type="hidden" />
	<div class="form-line clearfix" >
		<div class="fl">
			<div class="fl">
				<span class="text-content"><em class="must">*</em>护栏名称：</span> 
				<input id="hlmc" class="easyui-textbox" data-options="required:true,validType:'length[0,128]'" missingMessage="护栏名称必填项" > 
			</div> 
			<div class="fl">
				<span class="text-content"><em class="must"></em>护栏编号：</span> 
				<input id="hlbh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="护栏编号必填项" > 
			</div>
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>护栏类型：</span> 
			<input id="hllx" class="easyui-textbox" data-options="valueField:'id', textField:'text'" missingMessage="护栏类型必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>护栏品牌：</span> 
			<input id="hlpp" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="护栏品牌必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>护栏材质：</span> 
			<input id="hlcz" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="护栏材质必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>供应商名称：</span> 
			<input id="gysbh" class="easyui-combobox" data-options="valueField:'id', textField:'text',panelHeight:'auto'" missingMessage="供应商名称必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装单位：</span> 
			<input id="azdw" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="安装单位必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装时间：</span> 
			<input id="azsj" class="easyui-datebox" missingMessage="安装时间必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>规格型号：</span> 
			<input id="ggxh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="规格型号必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>护栏长度：</span> 
			<input id="hlcd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="护栏长度必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>护栏价值：</span> 
			<input id="hljz" class="easyui-textbox" data-options="required:false,validType:'length[0,10]'" missingMessage="护栏价值必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>使用年限：</span> 
			<input id="synx" class="easyui-textbox" data-options="required:false,validType:'length[0,10]'" missingMessage="使用年限必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>管辖单位名称：</span> 
			<input id="gxdwbm" class="easyui-combotree" data-options="valueField:'id', textField:'text',panelHeight:'auto'" missingMessage="管辖单位名称必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>管辖联系人：</span> 
			<input id="lxr" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="联系人必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>管辖联系电话：</span> 
			<input id="lxdh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="联系电话必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<div class="line"> 
				<span>
					<label  style="padding: 6px 0;">实景照片：</label>
					<input name="" type="text" id="viewfile"  readonly onmouseout="document.getElementById('myfile').style.display='none';" class="inputstyle" />
				</span>
				<label for="unload" onmouseover="document.getElementById('myfile').style.display='block';" class="file1">浏览...</label>
				<input type="file" onchange="document.getElementById('viewfile').value=this.value;this.style.display='none';" class="file"   id='myfile' name='file' />
			</div>
			<!-- 
			<span class="text-content"><em class="must"></em>实景照片：</span> 
			<input id="sjzp" class="easyui-textbox" data-options="required:false,validType:'length[0,256]'" missingMessage="实景照片必填项" >  -->
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>经度：</span> 
			<input id="jd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="经度必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>维度：</span> 
			<input id="wd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="维度必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>简介：</span> 
			<input id="bz" class="easyui-textbox" data-options="multiline:true" style="width:300px;height:80px" missingMessage="备注必填项" > 
		</div> 
	</div>

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	$('#gysbh').combobox({
		url:'nhywgysxxAction!query_NhywgysxxList.do',
		textField:"gysmc",
		valueField:"xh",
		panelWidth:148,
		value:""
	});

	$.ajax({
		 type:'post',
//		 async:false,
		 dataType : 'json',
		 url:'menuConfigAction!query_Ptxzs.do',//dac 行政树
//		 url:'ptxzsAction!query_Ptxzs.do' ,//本地 行政树
//		 data:{
//			 order : " order by jdpx asc "
//		 },
	 }).done(function(data){
		 $.each(data,function(i,o){
				o.state 	='closed';
				o.treeId 	= o.xzbh;
				o.name 		= o.xzmc;
				o.treeType 	= "xz";
				o.id		= o.xzbh;
				o.pid		= o.sjxzbh;
				o.start 	= 0; //iconCls
			}) 
			var xzfz = {};
		 	xzfz.treeType 	= "xz";
			xzfz.id		= "-1";
			xzfz.pid		= "xzTree";
			xzfz.start 	= 0; //iconCls
		 	xzfz.xzbh = "-1";
		 	xzfz.xzmc = "行政分组";
		 	xzfz.state = "closed";
		 	xzfz.treeId = "-1";
		 	xzfz.sjxzbh = "xzTree";
		 	xzfz.name = "行政分组";
			data.push(xzfz);
			$('#gxdwbm').combotree({
				checkbox:false,
				border:false,
				parentField:"pid",
				textFiled:"name",
				idFiled:"id",
				panelWidth:148,
				data:data,
				onLoadSuccess:function(node,data){
					if(records){
						var tree = $('#gxdwbm').combotree('tree');
						for (var i=0;i<data.length ;i++ ){
							node= tree.tree("find",data[i].id);
							tree.tree('expandAll',node.target);
						}
						node = tree.tree('find', records.gxdwbm);
						tree.tree('select', node.target);
						//tree.tree('expandAll',node.target);
						$('#gxdwbm').combotree("setValue",node.id)
					}
				},
				onClick: function(node){
					
				},
				data   : data
			});
	});
	/*$('#hllx').combobox({
		 url:'xtclAction!query_Xtcl.do?csdl=nhywHllx',
		 textField:"csmc",  
		 valueField:"csdm",
		 panelWidth:148,
		 value:"1" 
	});
*/
	$('#azsj').datebox({ editable:false });
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#xh").val(records.xh);
		$("#hlmc").textbox("setValue",records.hlmc);
		$("#hlbh").textbox("setValue",records.hlbh);
		$("#hllx").textbox("setValue",records.hllx);
		$("#hlpp").textbox("setValue",records.hlpp);
		$("#hlcz").textbox("setValue",records.hlcz);
		$("#gysbh").combobox("setValue",records.gysbh);
		$("#azdw").textbox("setValue",records.azdw);
		$("#azsj").textbox("setValue",records.azsj);
		$("#ggxh").textbox("setValue",records.ggxh);
		$("#hlcd").textbox("setValue",records.hlcd);
		$("#hljz").textbox("setValue",records.hljz);
		$("#synx").textbox("setValue",records.synx);
		//$("#gxdwbm").combotree("setValue",records.gxdwbm);
		$("#lxr").textbox("setValue",records.lxr);
		$("#lxdh").textbox("setValue",records.lxdh);
		$("#jd").textbox("setValue",records.jd);
		$("#wd").textbox("setValue",records.wd);
		$("#bz").textbox("setValue",records.bz);
//		$("#sjzp").textbox("setValue",records.sjzp);
//		$("#gxdwmc").textbox("setValue",records.gxdwmc);
		
//		$("#gysmc").textbox("setValue",records.gysmc);
		/*$("#cjry").textbox("setValue",records.cjry);
		$("#cjrq").textbox("setValue",records.cjrq);
		$("#xgry").textbox("setValue",records.xgry);
		$("#xgrq").textbox("setValue",records.xgrq);
		$("#kz1").textbox("setValue",records.kz1);
		$("#kz2").textbox("setValue",records.kz2);
		$("#kz3").textbox("setValue",records.kz3);
		$("#kz4").textbox("setValue",records.kz4);*/

	}else{
		
	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
